package com.ynet.life.sujrb.util;

import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/BigAmtServiceTimeProvider.class */
public class BigAmtServiceTimeProvider implements ServiceTimeProviderInterface {
    private static final String WORK_TIME_SQL = "SELECT DAY_DATE, DAY_FLAG, DAY_NEXTDUTYDAY, DAY_BEGINTIME, DAY_ENDTIME FROM PUB_WORKDAY WHERE DAY_DATE = ? and DAY_BANKID=?";
    private List timeList = null;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v16 */
    /* JADX WARN: Type inference failed for: r0v17, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v18, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v3 */
    /* JADX WARN: Type inference failed for: r0v4, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v5, types: [java.sql.Connection] */
    private List getServiceTime(String date, String bankId) throws TranFailException {
        Connection connection = null;
        if (this.timeList != null) {
            return this.timeList;
        }
        try {
            connection = LifeDBAccess.getConnection();
            List inputList = new ArrayList();
            inputList.add(date);
            inputList.add(bankId);
            List resultList = LifeDBAccess.querySingleResult(connection, WORK_TIME_SQL, inputList, 5);
            if (resultList.size() == 0 && ServiceTimeChecker.isCheckServiceTime()) {
                Trace.logError("LifeAction", "EBLN0000::::未设置" + date + "的服务时间");
                throw new TranFailException("EBLN0000", "未设置" + date + "的服务时间");
            }
            this.timeList = resultList;
            return resultList;
        } finally {
            ?? r0 = connection;
            if (r0 != 0) {
                try {
                    r0 = connection;
                    LifeDBAccess.releaseConnection((Connection) r0);
                } catch (Exception e) {
                    LifeDBAccess.log((Exception) r0);
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:8:0x0045, code lost:
    
        if (r6.compareTo(r0) <= 0) goto L11;
     */
    @Override // com.ynet.life.sujrb.util.ServiceTimeProviderInterface
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public boolean isWorkTime(java.lang.String r5, java.lang.String r6, java.lang.String r7) throws com.ynet.life.exception.TranFailException {
        /*
            r4 = this;
            r0 = r4
            r1 = r5
            r2 = r7
            java.util.List r0 = r0.getServiceTime(r1, r2)
            r1 = r0
            r5 = r1
            r1 = 1
            java.lang.Object r0 = r0.get(r1)
            java.lang.String r0 = (java.lang.String) r0
            r7 = r0
            r0 = 1
            r8 = r0
            java.lang.String r0 = "0"
            r1 = r7
            boolean r0 = r0.equals(r1)
            if (r0 != 0) goto L48
            r0 = r6
            if (r0 == 0) goto L4b
            r0 = r5
            r1 = 3
            java.lang.Object r0 = r0.get(r1)
            java.lang.String r0 = (java.lang.String) r0
            r7 = r0
            r0 = r5
            r1 = 4
            java.lang.Object r0 = r0.get(r1)
            java.lang.String r0 = (java.lang.String) r0
            r5 = r0
            r0 = r6
            r1 = r7
            int r0 = r0.compareTo(r1)
            if (r0 < 0) goto L48
            r0 = r6
            r1 = r5
            int r0 = r0.compareTo(r1)
            if (r0 <= 0) goto L4b
        L48:
            r0 = 0
            r8 = r0
        L4b:
            r0 = r8
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.ynet.life.sujrb.util.BigAmtServiceTimeProvider.isWorkTime(java.lang.String, java.lang.String, java.lang.String):boolean");
    }

    @Override // com.ynet.life.sujrb.util.ServiceTimeProviderInterface
    public String getNextWorkDate(String date, String time, String bankId) throws TranFailException {
        List serviceTime = getServiceTime(date, bankId);
        String workFlag = (String) serviceTime.get(1);
        String nextWorkDate = (String) serviceTime.get(2);
        String workBeginTime = (String) serviceTime.get(3);
        if ("1".equals(workFlag) && time != null && workBeginTime != null && time.compareTo(workBeginTime) < 0) {
            nextWorkDate = date;
        }
        return nextWorkDate;
    }
}
